# 1. Création de biblioapp.pro
#       Contenu du fichier .pro
#             SOURCES += mainwindow_update.py \
#                        constant_string.py \
#
#                 TRANSLATIONS += en2fr.ts
#
#             CODECFORTR = UTF - 8
#
#             CODECFORSRC = UTF - 8
#
# 2. Génération des fichiers .ts : pylupdate5
#    Commande sur le terminal : pylupdate5 biblio_string.pro
#    Ceci a pour effet de créer des fichiers configurés dans biblioapp.pro, à savoir en2fr.ts
#
# 3. Traduction avec Qt Linguist
#
# 4. Génération des fichiers .qm : lrelease
#    Commande sur le terminal : lrelease en2fr.ts en2fr.qm
#    Cette opération compile tous les fichiers .ts déclarés en fichiers .qm


from PyQt5.QtCore import QCoreApplication

_translate = QCoreApplication.translate


# -------------------- A --------------------

ACOUSTIC_FILE = _translate("CONSTANT_STRING", "Acoustic file")
ACOUSTIC_INVERSION_OPTIONS = _translate("CONSTANT_STRING", "Acoustic inversion options")
ACOUSTIC_PROFILE = _translate("CONSTANT_STRING", "Acoustic profile")
AVERAGED_PROFILE = _translate("CONSTANT_STRING", "Averaged profile")

# -------------------- B --------------------



# -------------------- C --------------------

CELLS = _translate("CONSTANT_STRING", "cells")
CELL_SIZE = _translate("CONSTANT_STRING", "Cell size")
CELL_SIZE_TOOLTIP = _translate("CONSTANT_STRING", "Size of the cells in m")
CHECK_ALL = _translate("CONSTANT_STRING", "Check all")
CLASS_DISTRIBUTION = _translate("CONSTANT_STRING", "Class distribution")
COMPUTING_WATER_ATTENUATION = _translate("CONSTANT_STRING", "Computing water attenuation")
CUMULATIVE_DISTRIBUTION = _translate("CONSTANT_STRING", "Cumulative distribution")

# -------------------- D --------------------

DATE = _translate("CONSTANT_STRING", "Date")
DATE_TOOLTIP = _translate("CONSTANT_STRING", "Date of measurements")
DESPIKING = _translate("CONSTANT_STRING", "Despiking")
DISPLAY_OPTIONS = _translate("CONSTANT_STRING", "Display options")
DISPLAY_PROFILE_POSITION = _translate("CONSTANT_STRING", "Display profile position")
DISTRIBUTION_PLOT = _translate("CONSTANT_STRING", "Distribution plot")
DOWNLOAD = _translate("CONSTANT_STRING", "Download")

# -------------------- E --------------------

EXPERIMENTAL_DATA = _translate("CONSTANT_STRING", "Experimental data")
EXPORT_TABLE = _translate("CONSTANT_STRING", "Export table")

# -------------------- F --------------------

FCB_OPTIONS = _translate("CONSTANT_STRING", "FCB options")
FCB_PROFILE = _translate("CONSTANT_STRING", "FCB profile")
FILL_TABLE = _translate("CONSTANT_STRING", "Fill table")
FINE_AND_SAND_SEDIMENTS_CONCENTRATION_2D_FIELD = _translate("CONSTANT_STRING", "Fine and sand sediments concentration 2D field")
FINE_SEDIMENTS = _translate("CONSTANT_STRING", "Fine sediments")
FIT_REGRESSION_LINE = _translate("CONSTANT_STRING", "Fit regression line")
FOR_HOMOGENEOUS_SUSPENSION = _translate("CONSTANT_STRING", "For homogeneous suspension")
FREQUENCY = _translate("CONSTANT_STRING", "Frequency")
FREQUENCY_TOOLTIP = _translate("CONSTANT_STRING", "Frequency in MHz")
FROM = _translate("CONSTANT_STRING", "From")

# -------------------- G --------------------

GAIN_RX = _translate("CONSTANT_STRING", "Gain Rx")
GAIN_RX_TOOLTIP = _translate("CONSTANT_STRING", "Gain at reception in dB")
GAIN_TX = _translate("CONSTANT_STRING", "Gain Tx")
GAIN_TX_TOOLTIP = _translate("CONSTANT_STRING", "Gain at emission in dB")
GPS_FILE = _translate("CONSTANT_STRING", "GPS file")

# -------------------- H --------------------

HORIZONTAL = _translate("CONSTANT_STRING", "Horizontal")
HOUR = _translate("CONSTANT_STRING", "Hour")
HOUR_TOOLTIP = _translate("CONSTANT_STRING", "Hour of measurements")

# -------------------- I --------------------

INITIAL_DEPTH_RANGE = _translate("CONSTANT_STRING", "Initial depth range")

# -------------------- J --------------------

# -------------------- K --------------------

KT = _translate("CONSTANT_STRING", "Kt")
KT_TOOLTIP = _translate("CONSTANT_STRING", "Kt constant")

# -------------------- L --------------------

LOAD_DATA_FROM_ACOUSTIC_DATA_TAB = _translate("CONSTANT_STRING", "Load data from acoustic data tab")

# -------------------- M --------------------

MEASUREMENTS_INFORMATION = _translate("CONSTANT_STRING", "Measurements information")

# -------------------- N --------------------

NB_CELLS = _translate("CONSTANT_STRING", "Nb cells")
NB_CELLS_TOOLTIP = _translate("CONSTANT_STRING", "Number of cells along one profile")
NB_PINGS_PER_SEC = _translate("CONSTANT_STRING", "Nb pings/sec")
NB_PINGS_PER_SEC_TOOLTIP = _translate("CONSTANT_STRING", "Number of pings per seconds, in Hz")
NB_PINGS_PER_PROFILE = _translate("CONSTANT_STRING", "Nb pings averaged/profile")
NB_PINGS_PER_PROFILE_TOOLTIP = _translate("CONSTANT_STRING", "Number of pings averaged in one profile")
NB_PROFILES = _translate("CONSTANT_STRING", "Nb profiles")
NB_PROFILES_TOOLTIP = _translate("CONSTANT_STRING", "Number of profiles")
NB_PROFILES_PER_SEC = _translate("CONSTANT_STRING", "Nb profiles/sec")
NB_PROFILES_PER_SEC_TOOLTIP = _translate("CONSTANT_STRING", "Number of profiles per seconds")
NOISE_FILE = _translate("CONSTANT_STRING", "Noise file")
NOISE_LEVEL = _translate("CONSTANT_STRING", "Noise level")

# -------------------- O --------------------

OPTIONS = _translate("CONSTANT_STRING", "Options")

# -------------------- P --------------------

PARTICLE_SIZE_DISTRIBUTION_FILE = _translate("CONSTANT_STRING", "Particle size distribution file")
PLOT_BOTTOM = _translate("CONSTANT_STRING", "Plot bottom")
PLOT_BOTTOM_CROSS_SECTION = _translate("CONSTANT_STRING", "Plot bottom of cross section")
PLOT_SAMPLE_POSITION = _translate("CONSTANT_STRING", "Plot sample position")
PLOT_SNR = _translate("CONSTANT_STRING", "Plot SNR")
PLOT_TOTAL_CONCENTRATION = _translate("CONSTANT_STRING", "Plot total concentration")
PLOT_TRANSECT = _translate("CONSTANT_STRING", "Plot transect")
PLOT_XAXIS_IN_SPACE = _translate("CONSTANT_STRING", "Plot x_axis in space")
PLOT_XAXIS_IN_TIME = _translate("CONSTANT_STRING", "Plot x_axis in time")
POST_PROCESSING = _translate("CONSTANT_STRING", "Post processing")
PROFILE = _translate("CONSTANT_STRING", "Profile")
PROFILE_NUMBER = _translate("CONSTANT_STRING", "Profile")
PULSE_LENGHT = _translate("CONSTANT_STRING", "Pulse length")
PULSE_LENGHT_TOOLTIP = _translate("CONSTANT_STRING", "Lenght of the pulse in seconds")


# -------------------- Q --------------------

# -------------------- R --------------------

RAYLEIGH_CRITERION = _translate("CONSTANT_STRING", "Rayleigh criterion")
RAW_ACOUSTIC_DATA_2D_FIELD = _translate("CONSTANT_STRING", "Raw acoustic data 2D field")

# -------------------- S --------------------

SAND_SEDIMENTS = _translate("CONSTANT_STRING", "Sand sediments")
SIGNAL_TO_NOISE_RATIO_2D_FIELD = _translate("CONSTANT_STRING", "Signal to noise Ratio 2D field")
SNR_CRITERION = _translate("CONSTANT_STRING", "SNR criterion")
SUBTRACT_THE_NOISE = _translate("CONSTANT_STRING", "Subtract the noise")
SUSPENDED_SEDIMENT_CONCENTRATION_PLOT = \
    _translate("CONSTANT_STRING", "Suspended sediment concentration plot : acoustic inversion theory VS measurements")
SYNCHRONIZE_AND_FILL_TABLE = _translate("CONSTANT_STRING", "Synchronize && Fill table")

# -------------------- T --------------------

TABLE_VALUES = _translate("CONSTANT_STRING", "Table of values")
TEMPERATURE = _translate("CONSTANT_STRING", "Temperature")
TIME_OFFSET = _translate("CONSTANT_STRING", "Time offset")
TO = _translate("CONSTANT_STRING", "to")
TOTAL_CONCENTRATION = _translate("CONSTANT_STRING", "Total concentration")
TOTAL_CONCENTRATION_PLOT = _translate("CONSTANT_STRING", "Total concentration plot")

# -------------------- U --------------------

# -------------------- V --------------------

VERTICAL = _translate("CONSTANT_STRING", "Vertical")
VERTICAL_PROFILE_FOR_CALIBRATION = _translate("CONSTANT_STRING", "Vertical profile for calibration")

# -------------------- W --------------------

WINDOW_SIZE = _translate("CONSTANT_STRING", "Window size")

# -------------------- X --------------------

# -------------------- Y --------------------

# -------------------- Z --------------------
